Bug 718648 - RFE: Forged URL handling: Zanata should display "locale is disabled" when visiting disabled locale.
RFE: Forged URL handling: Zanata should display "locale is disabled" when vis...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-04 02:50 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:18 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121010-0855)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-04 02:50:42 EDT
Description of problem:

Zanata still allows visiting disabled locale with forged URL.
For example, if locale ja is disable from project AboutFedora,
the document list is still shown without error, 
and message list displays:  "An unknown error occurred".

The expected behavior are: Persistent (won't timeout) Error message "locale is disabled" should be shown in both case.

  

Version-Release number of selected component (if applicable):
1.4-SNAPSHOT (20110704-0602)


How reproducible:
Always


Steps to Reproduce:
1. Assume Project AboutFedora is pushed to Zanata
2. Disable locale ja
3. Visit http://zanataServer.com/zanata-test/webtrans/Application.html?project=AboutFedora&iteration=f11&localeId=ja&locale=en

  
Actual results:
Document list is still reachable without error,
and message list shows "An unknown error occurred"

Expected results:
"Locale is disable" should be shown in both document list and message list.


Additional info:
Comment 1 Sean Flanigan 2011-09-07 00:32:49 EDT
Assigning to Scrum product owner for prioritisation.
Comment 2 Alex Eng 2012-10-03 00:44:26 EDT
Implemented in version 2.0.
See https://github.com/zanata/zanata/commit/881fc6897636fa5b57bed809bdff4e072b90d6c8
Comment 3 Ding-Yi Chen 2012-10-09 23:57:47 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121010-0855)
Comment 4 Sean Flanigan 2012-11-07 01:18:20 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.